Bug 505720 - [PATCH] libvirt network schema fixes
[PATCH] libvirt network schema fixes
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 02:36 EDT by Satoru SATOH
Modified: 2010-03-16 13:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 10:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Libvirt network schema fixes (1.67 KB, text/plain)
2009-06-13 02:36 EDT, Satoru SATOH
no flags Details
A sample network definition XML file to test the new network schema (416 bytes, application/xml)
2009-06-13 02:38 EDT, Satoru SATOH
no flags Details
Another sample network definition XML file to test the new network schema (416 bytes, application/xml)
2009-06-13 02:39 EDT, Satoru SATOH
no flags Details
A patch to make libvirt preserve network domain configuration ('/network/domain') (799 bytes, patch)
2009-06-13 02:45 EDT, Satoru SATOH
no flags Details | Diff

  None (edit)
Description Satoru SATOH 2009-06-13 02:36:33 EDT
Created attachment 347711 [details]
Libvirt network schema fixes

Description of problem:
Libvirt's network schema file (network.rng) lacks support of some elements for DHCP configuration (domain, host-ip-mac, etc).

Along with this network schema updates, I came across a bug of libvirt does not save <domain/> correctly. I also attached an experimental patch may fix that
(I did not build/test it).


Version-Release number of selected component (if applicable):
confirmed with libvirt-0.6.4-2.fc12.i586 and git HEAD
Comment 1 Satoru SATOH 2009-06-13 02:38:49 EDT
Created attachment 347712 [details]
A sample network definition XML file to test the new network schema
Comment 2 Satoru SATOH 2009-06-13 02:39:41 EDT
Created attachment 347713 [details]
Another sample network definition XML file to test the new network schema
Comment 3 Satoru SATOH 2009-06-13 02:45:47 EDT
Created attachment 347714 [details]
A patch to make libvirt preserve network domain configuration ('/network/domain')
Comment 4 Mark McLoughlin 2009-06-22 11:59:10 EDT
Thanks for the patches - could you please send these to libvir-list@redhat.com ?
Comment 5 Satoru SATOH 2009-06-29 13:40:42 EDT
Thank for your comments! I posted them on the list.
Comment 6 Daniel Veillard 2009-07-02 10:06:20 EDT
Okay pathes applied upstream, this will be in the upcoming 0.6.5 release,

  thanks !

Daniel

Note You need to log in before you can comment on or make changes to this bug.